package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.dto.BiAnDto;
import com.jxy.marketall.entity.Utxos;
import com.jxy.marketall.vo.CoinVo;
import com.jxy.marketall.vo.ETHMintedVo;
import com.jxy.marketall.vo.QueryVo;


/**
 * @Description 稳定币查询服务类
 * @Date 2022/5/20 11:40
 * @Author 杜懿
 */
public interface USDService{


    /**
     * 查询USDT铸造量 曲线图
     * @param vo
     * @return
     */
    public AjaxResult getUSDTMinted(QueryVo vo);

    /**
     * 查询USDT铸造量 分页表格
     * @param vo
     * @return
     */
    public AjaxResult getUSDTMintedList(ETHMintedVo vo);

    /**
     * 查询USDC铸造量 曲线图
     * @param vo
     * @return
     */
    public AjaxResult getUSDCMinted(QueryVo vo);

    /**
     * 查询USDC铸造量 分页表格
     * @param vo
     * @return
     */
    public AjaxResult getUSDCMintedList(ETHMintedVo vo);

    /**
     * 查询BUSD铸造量 曲线图
     * @param vo
     * @return
     */
    public AjaxResult getBUSDMinted(QueryVo vo);

    /**
     * 查询BUSD铸造量 分页表格
     * @param vo
     * @return
     */
    public AjaxResult getBUSDMintedList(ETHMintedVo vo);



}
